package com.yidianling.uikit.business.session.view.question

import com.yidianling.uikit.custom.http.response.question.OptionsBean
import com.yidianling.uikit.custom.http.response.question.QuestionsBean

interface QuestionOneCheckListener {
    /**
     * 单选点击 多选确定按钮点击获取item信息
     */
    fun itemClick(bean: List<OptionsBean>, question: QuestionsBean)

    /**
     * 展示其他
     */
    fun showOtherEdit(list: List<OptionsBean>, question: QuestionsBean)
    /**
     *展示软键盘
     * */
    fun showKeyboard()
    /**
     * 隐藏其他
     */
    fun hideOtherEdit()


    /**
     * 主诉单选点击 多选确定按钮点击获取item信息
     */
    fun zsItemClick(answer: String, postion: Int)
}